Subject: bug#33787: Policy Change: Use of /etc/gnu.conf files to configure default system behavior

From: Assaf Gordon <[email-masked]>
Date: Thu, 20 Dec 2018 18:21:45 -0700

Hello,

On 2018-12-20 5:36 p.m., L A Walsh wrote:
> The below methods cannot alter or fix  the problems that require
> a configuration file.
> 
> Example: have 'rm -fr .' do a depth first removal and not pre-inspect 
> any argument before its children.
> 
> Whether or not to expand tabs in output so that output to
> a terminal that doesn't have tabstops every 8 characters will line up.
> 
> I could go on, but those cannot be handled with a simple alias.

Just to make sure we are talking about the same thing (and avoid "x/y
problem"):

Are you asking about adding *new* features (e.g, "rm --depth-first"
or "cat --expand-tabs"), and then about controlling them throught
a global configuration file?

That is, asking for two different things (new features, and new control 
options) ?

For example,
If there was an "rm --depth-first" feature,
you could enable it easily with "alias" - right?

If this is the case, I think it is best to explicitly separate it into
some very different requests:

1. The ability to control existing command-line features
through a global configuration file.
2. Adding "rm --depth-first" option
3. Adding "--expand-tabs" option to multiple programs.

As for #1 - this idea is the topic of the current thread,
and was previously decided to not be accepted.

As for #2 - not sure if this was discussed before,
but I have a hunch that once more sophisticated control
over file-traversal is needed, find(1) is likely better
solution (e.g. "find -depth").

As for #3 - The "expand" program already does tab-expansion.
It can be easily combined with existing programs using
a simple shell function.
e.g.:

    sorttab(){ sort "$@" | expand -t20 ; }

---

If you are requesting such features (or others)
It's best to start a new thread for each topic.

regards,
  - assaf